List Import Rows

Retrieve paginated, row-level outcomes for a bulk mailbox import.

  • Filter rows by status (rejected, queued, processing, created, failed).
  • Successfully created rows include the new campaign_id (usable with all /campaigns/{campaignId} endpoints).
  • Failed or rejected rows include machine-readable error_code and descriptive error_message.
Path Params
integer
required

The ID of the campaign import.

Query Params
string
enum

Filter rows by lifecycle status.

Allowed:
integer
1 to 500
Defaults to 100

Number of rows to return per page (max 500).

integer
≥ 1
Defaults to 1

Page number to retrieve.

Headers
string

Optional, but recommended. A unique string or UUID for this call. When sent, it's echoed back in the X-Request-ID response header, and Mailivery Support can only look up a call that was sent with one.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json